Subject: pkg/37300: pkgsrc/net/ettercap-NG couldn't use plugins
To: None <,,>
From: None <>
List: pkgsrc-bugs
Date: 11/07/2007 22:20:01
>Number:         37300
>Category:       pkg
>Synopsis:       pkgsrc/net/ettercap-NG couldn't use plugins
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Nov 07 22:20:01 +0000 2007
>Originator:     Mustafa Dogan
>Release:        NetBSD-4.0_RC3
Ankara University, Faculty of Political Sciences
NetBSD 4.0_RC3 NetBSD 4.0_RC3 (MuDo) #0: Sat Nov  3 08:33:28 UTC 2007 i386
net/ettercap-NG cannot use its plugins. While choose "Manage plugins..." from menu, program crashes and "Segmentation fault" occurs. 
While recompiled, some warning messages about libnet took my attention:
"*** Warning: linker path does not have real file for library -lnet.
... (message is going on ...)
"*** Warning libtool could not satisfy all declared inter-library dependencies of module xxx.
... (message continues...)
These messages are repeating for each plugin.

Are these errors, or just warnings? 
I couldn't figure out whether this problem related to ettercap-NG or libnet.
# ettercap -C
from menu, "Sniff", "Unified Sniffing...", choose net interface, and 
from menu, "Plugins", "Manage Plugins..."
ettercap crashes.